/* eslint-disable */
import { api } from 'src/boot/axios';
import type { User } from 'src/modules/shared/models/user.models';

export const AuthService = {
    // Will likely be deprecated and relegated to Authentik
    login: () => {
        //TODO: OIDC customer sign-in, eventually
    },

    logout: () => {
        // TODO: logout logic
        api.post('/auth/logout')
    },

    refreshToken: () => {
        // TODO: token refresh logic
        api.post('/auth/refresh')
    },

    getProfile: async (): Promise<User> => {
        const response = await api.get('/auth/me');
        return response.data;
    },
};
